<?php
class Previa
{
	private $sql;
	public $qry;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}


	public function SelectPrevia($id_evento)
	{
		$this->sql = "select a.id_evento_previa, a.hora, a.data, a.obs as obs_previa, b.nome, b.endereco, b.bairro, b.cidade, b.cep, b.site, 
						  	b.obs, d.nome as cinegrafista, e.nome as fotografo, b.id_local_previa
							from local_previa b, evento_previa a left join cinegrafista d
							on a.id_cinegrafista = d.id_cinegrafista
							left join fotografo e
							on a.id_fotografo = e.id_fotografo
							
							where  a.id_local_previa = b.id_local_previa
							and a.id_evento = $id_evento
							and a.id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function SelectFeriado($data)
	{
		$this->sql = "select data, descricao from feriado 
						  where data = '$data'
						  and id_empresa = $this->id_empresa limit 1";

		$this->execulta();
	}

	public function VerPrevia($data)
	{
		$this->sql = "select a.id_evento, a.hora, a.data, b.nome as salao, c.nome as evento
							from evento_previa a, local_previa b, evento c
							where a.id_evento = c.id_evento 
							and a.id_local_previa = b.id_local_previa
							and a.data = '$data'
							and a.id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function SelectEvento($data)
	{
		$this->sql = "select a.id_evento, a.data_evento, a.nome, a.hora,
							b.descricao as tipo_evento,
								(select x.nome
								from evento_local_evento y, salao_igreja x
								where y.id_salao_igreja = x.id_salao_igreja
								and y.id_evento = a.id_evento) as salao
							from evento a, tipo_evento b
							where a.id_tipo_evento = b.id_tipo_evento
							and a.id_empresa = $this->id_empresa
							and a.data_evento = '$data'";

		$this->execulta();
	}

	public function InsertPrevia($id_local_previa, $hora, $data, $obs, $id_evento, $id_fotografo, $id_cinegrafista)
	{
		$hora = addslashes($hora);
		$data = addslashes($data);
		$obs = addslashes($obs);
		$this->sql = "insert into evento_previa
						  (id_local_previa, hora, data, id_empresa, obs, id_cinegrafista, id_fotografo,  id_evento)
						  values
						  ($id_local_previa, '$hora', '$data', $this->id_empresa, '$obs', $id_cinegrafista, $id_fotografo, $id_evento)";
		echo $this->sql;

		$this->execulta();

		$id_evento_previa = mysqli_insert_id();

		if ($id_fotografo != '-1') {
		}

		if ($id_cinegrafista != '-1') {
		}
	}

	public function DeletePrevia($id_evento_previa)
	{
		$this->sql = "delete from evento_previa
						 where id_evento_previa = $id_evento_previa
						 and id_empresa = $this->id_empresa";
		$this->execulta();
	}
}
